<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg.dynamic_aspic_classes package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="py_arg.explanation package" href="py_arg.explanation.html" />
    <link rel="prev" title="py_arg.aspic_classes.orderings package" href="py_arg.aspic_classes.orderings.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="py_arg.html">py_arg package</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="py_arg.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="py_arg.html#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
          <li><a href="py_arg.html">py_arg package</a> &raquo;</li>
      <li>py_arg.dynamic_aspic_classes package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.dynamic_aspic_classes.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-dynamic-aspic-classes-package">
<h1>py_arg.dynamic_aspic_classes package<a class="headerlink" href="#py-arg-dynamic-aspic-classes-package" title="Permalink to this headline"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline"></a></h2>
</section>
<section id="module-py_arg.dynamic_aspic_classes.axiom_queryable">
<span id="py-arg-dynamic-aspic-classes-axiom-queryable-module"></span><h2>py_arg.dynamic_aspic_classes.axiom_queryable module<a class="headerlink" href="#module-py_arg.dynamic_aspic_classes.axiom_queryable" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.axiom_queryable.AxiomQueryable">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.dynamic_aspic_classes.axiom_queryable.</span></span><span class="sig-name descname"><span class="pre">AxiomQueryable</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">literal_str</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description_if_present</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description_if_not_present</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">query</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">query_explanation</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">priority</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">float</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.axiom_queryable.AxiomQueryable" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="#py_arg.dynamic_aspic_classes.queryable.Queryable" title="py_arg.dynamic_aspic_classes.queryable.Queryable"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.dynamic_aspic_classes.queryable.Queryable</span></code></a></p>
</dd></dl>

</section>
<section id="module-py_arg.dynamic_aspic_classes.ordinary_queryable">
<span id="py-arg-dynamic-aspic-classes-ordinary-queryable-module"></span><h2>py_arg.dynamic_aspic_classes.ordinary_queryable module<a class="headerlink" href="#module-py_arg.dynamic_aspic_classes.ordinary_queryable" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.ordinary_queryable.OrdinaryQueryable">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.dynamic_aspic_classes.ordinary_queryable.</span></span><span class="sig-name descname"><span class="pre">OrdinaryQueryable</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">literal_str</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description_if_present</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description_if_not_present</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">query</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">query_explanation</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">priority</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">float</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.ordinary_queryable.OrdinaryQueryable" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="#py_arg.dynamic_aspic_classes.queryable.Queryable" title="py_arg.dynamic_aspic_classes.queryable.Queryable"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.dynamic_aspic_classes.queryable.Queryable</span></code></a></p>
</dd></dl>

</section>
<section id="module-py_arg.dynamic_aspic_classes.potential_argument">
<span id="py-arg-dynamic-aspic-classes-potential-argument-module"></span><h2>py_arg.dynamic_aspic_classes.potential_argument module<a class="headerlink" href="#module-py_arg.dynamic_aspic_classes.potential_argument" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.dynamic_aspic_classes.potential_argument.</span></span><span class="sig-name descname"><span class="pre">PotentialArgument</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">premises</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.literal.Literal" title="py_arg.aspic_classes.literal.Literal"><span class="pre">py_arg.aspic_classes.literal.Literal</span></a><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">conclusion</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.literal.Literal" title="py_arg.aspic_classes.literal.Literal"><span class="pre">py_arg.aspic_classes.literal.Literal</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">direct_sub_arguments</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.instantiated_argument.InstantiatedArgument" title="py_arg.aspic_classes.instantiated_argument.InstantiatedArgument"><span class="pre">py_arg.aspic_classes.instantiated_argument.InstantiatedArgument</span></a><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">def_rules</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.defeasible_rule.DefeasibleRule" title="py_arg.aspic_classes.defeasible_rule.DefeasibleRule"><span class="pre">py_arg.aspic_classes.defeasible_rule.DefeasibleRule</span></a><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">strict_rules</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.strict_rule.StrictRule" title="py_arg.aspic_classes.strict_rule.StrictRule"><span class="pre">py_arg.aspic_classes.strict_rule.StrictRule</span></a><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">top_rule</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.rule.Rule" title="py_arg.aspic_classes.rule.Rule"><span class="pre">py_arg.aspic_classes.rule.Rule</span></a><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.instantiated_argument.InstantiatedArgument" title="py_arg.aspic_classes.instantiated_argument.InstantiatedArgument"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.aspic_classes.instantiated_argument.InstantiatedArgument</span></code></a></p>
<dl class="py method">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument.is_consistent">
<span class="sig-name descname"><span class="pre">is_consistent</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">bool</span></span></span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument.is_consistent" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.dynamic_aspic_classes.potential_argumentation_theory">
<span id="py-arg-dynamic-aspic-classes-potential-argumentation-theory-module"></span><h2>py_arg.dynamic_aspic_classes.potential_argumentation_theory module<a class="headerlink" href="#module-py_arg.dynamic_aspic_classes.potential_argumentation_theory" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.dynamic_aspic_classes.potential_argumentation_theory.</span></span><span class="sig-name descname"><span class="pre">PotentialArgumentationTheory</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argumentation_system</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.argumentation_system.ArgumentationSystem" title="py_arg.aspic_classes.argumentation_system.ArgumentationSystem"><span class="pre">py_arg.aspic_classes.argumentation_system.ArgumentationSystem</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">knowledge_base_axioms</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.axiom.Axiom" title="py_arg.aspic_classes.axiom.Axiom"><span class="pre">py_arg.aspic_classes.axiom.Axiom</span></a><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">knowledge_base_ordinary_premises</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.ordinary_premise.OrdinaryPremise" title="py_arg.aspic_classes.ordinary_premise.OrdinaryPremise"><span class="pre">py_arg.aspic_classes.ordinary_premise.OrdinaryPremise</span></a><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">queryables</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.dynamic_aspic_classes.queryable.Queryable" title="py_arg.dynamic_aspic_classes.queryable.Queryable"><span class="pre">py_arg.dynamic_aspic_classes.queryable.Queryable</span></a><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.argumentation_theory.ArgumentationTheory" title="py_arg.aspic_classes.argumentation_theory.ArgumentationTheory"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.aspic_classes.argumentation_theory.ArgumentationTheory</span></code></a></p>
<dl class="py property">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.all_potential_arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">all_potential_arguments</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument" title="py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument"><span class="pre">py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument</span></a><span class="p"><span class="pre">]</span></span></em><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.all_potential_arguments" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.get_all_potential_defeats">
<span class="sig-name descname"><span class="pre">get_all_potential_defeats</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">ordering</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#py_arg.aspic_classes.orderings.ordering.Ordering" title="py_arg.aspic_classes.orderings.ordering.Ordering"><span class="pre">py_arg.aspic_classes.orderings.ordering.Ordering</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#py_arg.abstract_argumentation_classes.defeat.Defeat" title="py_arg.abstract_argumentation_classes.defeat.Defeat"><span class="pre">py_arg.abstract_argumentation_classes.defeat.Defeat</span></a><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.get_all_potential_defeats" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.potential_arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">potential_arguments</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.literal.Literal" title="py_arg.aspic_classes.literal.Literal"><span class="pre">py_arg.aspic_classes.literal.Literal</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument" title="py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument"><span class="pre">py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></em><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.potential_arguments" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.recompute_potential_arguments">
<span class="sig-name descname"><span class="pre">recompute_potential_arguments</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.literal.Literal" title="py_arg.aspic_classes.literal.Literal"><span class="pre">py_arg.aspic_classes.literal.Literal</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument" title="py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument"><span class="pre">py_arg.dynamic_aspic_classes.potential_argument.PotentialArgument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory.recompute_potential_arguments" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.dynamic_aspic_classes.queryable">
<span id="py-arg-dynamic-aspic-classes-queryable-module"></span><h2>py_arg.dynamic_aspic_classes.queryable module<a class="headerlink" href="#module-py_arg.dynamic_aspic_classes.queryable" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.dynamic_aspic_classes.queryable.Queryable">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.dynamic_aspic_classes.queryable.</span></span><span class="sig-name descname"><span class="pre">Queryable</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">literal_str</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description_if_present</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">description_if_not_present</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">query</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">query_explanation</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">priority</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">float</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">0</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.dynamic_aspic_classes.queryable.Queryable" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.literal.Literal" title="py_arg.aspic_classes.literal.Literal"><code class="xref py py-class docutils literal notranslate"><span class="pre">py_arg.aspic_classes.literal.Literal</span></code></a></p>
<p>A Queryable is a special case of a Literal which is observable and has a number of extra variables: a short and long
query string and an observed boolean.</p>
</dd></dl>

</section>
<section id="module-py_arg.dynamic_aspic_classes">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg.dynamic_aspic_classes" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="py_arg.aspic_classes.orderings.html" class="btn btn-neutral float-left" title="py_arg.aspic_classes.orderings package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="py_arg.explanation.html" class="btn btn-neutral float-right" title="py_arg.explanation package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>